#!/bin/bash

dbname=postgres
sec=20


for bytes in 8 16 32 64 128 256 512 1024 2048
do
	for sql in "select pg_allocate_generation_memory($bytes, 1024*1024, 1024*1024*1024);"
	do
		echo "$sql" > bench.sql
		pgbench -n -f bench.sql -T $sec -M prepared $dbname
	done
done
